[rspec-users] Problem Upgrading from 1.0.5 to 1.0.8

David Chelimsky dchelimsky at gmail.com
Tue Oct 23 11:21:59 EDT 2007


On 10/23/07, Matt Lins <mlins at webinforem.com> wrote:
>
>  Hey Guys,
>
>  I'm getting the following error:
>
>  1)
>  NameError in 'ProductsController with a GET to /products NO NAME (Because
> of Error raised in matcher)'
>  uninitialized constant
> Spec::Mocks::BaseExpectation::AnyArgsConstraint
> /Users/mattlins/Projects/RailsProjects/SWNetworkServices/vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/render_observer.rb:86:in
> `expect_render_mock_proxy'
> /Users/mattlins/Projects/RailsProjects/SWNetworkServices/vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/render_observer.rb:84:in
> `call'
> /Users/mattlins/Projects/RailsProjects/SWNetworkServices/vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/render_observer.rb:84:in
> `expect_render_mock_proxy'
> /Users/mattlins/Projects/RailsProjects/SWNetworkServices/vendor/plugins/rspec_on_rails/lib/spec/rails/dsl/behaviour/controller.rb:67:in
> `render'
>  ./spec/controllers/products_controller_spec.rb:6:
>  script/spec:4:
>
>  The line of code responsible is:
>
>  get "index"
>
>  This is actually the first controller spec I've written, so I'm really
> lost.
>
>  Any Ideas?

The subject of this email says you're having a problem upgrading,
which would imply that you already had this spec written and it was
passing and it started failing when you upgraded.

But then you say this is the first controller spec you've written.

Please clarify.


More information about the rspec-users mailing list